{% extends 'bases/home.html' %}

{% load static %}

{% block content %}
<!-- Content Header (Page header) -->
<div class="content-header">
    <section class="content">
        <div class="container-fluid">
            <div class="row">
                <div class="col-12">
                    <div class="row">
                        <div class="col-sm-12 col-md-3 col-lg-3">
                            <div class="card d-flex justify-content-center">
                                <div class="card-body">
                                    
                                    {% if obj.imagen %}
                                        <img class="card-img-top p-3" style="height: 380px;" src="{{ obj.imagen.url }}" alt="img de modem">                                        
                                    {% else %}
                                        <img class="card-img-top p-3" style="height: 380px;" src="{% static 'dist/img/antena.svg' %}"
                                        style="height: 290px; width: 300px;" alt="img del modem">
                                    {% endif %}                                        
                                </div>
                            </div>
                        </div>

                        <div class="col-sm-12 col-md-9 col-lg-9" role="form" enctype="multipart/form-data">
                            <form method="post">
                                {% csrf_token %}

                                <!-- Input addon -->
                                <!-- card -->
                                <div class="card">

                                    {% if obj %}
                                    <div class="card-warning">
                                        {% else %}
                                        <div class="card-success">
                                            {% endif %}

                                            <div class="card-header">
                                                <h3 class="card-title text-uppercase">Antenas</h3>
                                            </div>

                                            <!-- card-body -->
                                            <div class="card-body">

                                                <!-- fila 1 -->
                                                <div class="row mt-2">
                                                    <div class="col-sm-12 col-md-4 col-lg-4">
                                                        <div class="form-group">
                                                            <label for="id_cliente"
                                                                class="text-sm text-uppercase text-black-50"
                                                                style="font-family: Arial, Helvetica, sans-serif;">CLIENTE:
                                                                <i class="fa fa-asterisk badge-warning"></i></label>
                                                                {{ form.cliente }}
                                                        </div>
                                                    </div>

                                                    <div class="col-sm-12 col-md-4 col-lg-4">
                                                        <div class="form-group">
                                                            <label for="id_marca"
                                                                class="text-sm text-uppercase text-black-50"
                                                                style="font-family: Arial, Helvetica, sans-serif;">MODELO DE ANTENA:
                                                                <i class="fa fa-asterisk badge-warning"></i></label>
                                                            {{ form.marca }}
                                                        </div>
                                                    </div>    

                                                    <div class="col-sm-12 col-md-4 col-lg-4">
                                                        <div class="form-group">
                                                            <label for="id_emisora"
                                                                class="text-sm text-uppercase text-black-50"
                                                                style="font-family: Arial, Helvetica, sans-serif;">{{ form.emisora.label }}:
                                                                <i class="fa fa-asterisk badge-warning"></i></label>
                                                                {{ form.emisora }}
                                                        </div>
                                                    </div> 
                                                                                                                                                                                                                                                                
                                                </div>

                                                <!-- fila 2 -->
                                                <div class="row mt-2">                                                    
                                                    <div class="col-sm-12 col-md-4 col-lg-4">
                                                        <div class="form-group">
                                                            <label for="id_ip_interna"
                                                                class="text-sm text-uppercase font-weight-lighter"
                                                                style="font-family: Arial, Helvetica, sans-serif;"><i class="fa fa-network-wired"></i>
                                                                IP INTERNA:
                                                            </label>
                                                            {{ form.ip_interna }}
                                                        </div>
                                                    </div>

                                                    <div class="col-sm-12 col-md-4 col-lg-4">
                                                        <div class="form-group">
                                                            <label for="id_ip_externa"
                                                                class="text-sm text-uppercase font-weight-lighter"
                                                                style="font-family: Arial, Helvetica, sans-serif;"><i class="fa fa-network-wired"></i>
                                                                IP EXTERNA:
                                                            </label>
                                                            {{ form.ip_externa }}
                                                        </div>
                                                    </div>

                                                    <div class="col-sm-1 col-md-4 col-lg-4">
                                                        <div class="form-group">
                                                            <label for="id_gateway"
                                                                class="text-sm text-uppercase text-black-50"
                                                                style="font-family: Arial, Helvetica, sans-serif;">GATEWAY:
                                                            </label>
                                                            {{ form.gateway }}
                                                        </div>
                                                    </div>                                                    
                                                </div>

                                                <!-- fila 3 -->
                                                <div class="row mt-2">                                                                                                                                                      

                                                    <div class="col-sm-12 col-md-4 col-lg-4">
                                                        <div class="form-group">
                                                            <label for="id_signal_min"
                                                                class="text-sm text-uppercase text-black-50"
                                                                style="font-family: Arial, Helvetica, sans-serif;">SEÑAL MINIMA:
                                                            </label>
                                                            {{ form.signal_min }}
                                                        </div>
                                                    </div>     

                                                    <div class="col-sm-12 col-md-4 col-lg-4">
                                                        <div class="form-group">
                                                            <label for="id_signal_actual"
                                                                class="text-sm text-uppercase text-black-50"
                                                                style="font-family: Arial, Helvetica, sans-serif;">SEÑAL ACTUAL:
                                                            </label>
                                                            {{ form.signal_actual }}
                                                        </div>
                                                    </div>   
                                                                                                       
                                                    <div class="col-sm-12 col-md-4 col-lg-4">
                                                        <div class="form-group">
                                                            <label for="id_notas"
                                                                class="text-sm text-uppercase text-black-50"
                                                                style="font-family: Arial, Helvetica, sans-serif;">NOTAS:
                                                            </label>
                                                            {{ form.notas }}
                                                        </div>
                                                    </div>
                                                </div>

                                                <div class="dropdown-divider"></div>
                                                <div class="row">    
                                                    <div class="col-sm-12 col-md-2 col-lg-2"></div>  

                                                    <div class="col-sm-12 col-md-4 col-lg-4">
                                                        <button type="submit" class="btn btn-success btn-block"><i
                                                            class="fa fa-save"></i><span> Guardar</span>
                                                        </button>
                                                    </div>

                                                    <div class="col-sm-12 col-md-4 col-lg-4">
                                                        <a href="{% url 'app_equipos:antenas_list' %}"
                                                            class="btn btn-info btn-block"><i class="fas fa-window-close"></i><span> Cancelar</span>
                                                        </a>
                                                    </div> 
                                                    <div class="col-sm-12 col-md-2 col-lg-2"></div>                                                  
                                                </div>

                                            </div>
                                            <!-- /.card-body -->
                                        </div>
                                        <!-- /.card-header -->
                                    </div>
                                </div>
                            </div>
                        <!-- /.card -->
                        </form>
                        <!-- ./form -->
                    </div>
                </div>
            </div>
        </div>
</div>
</section>
<!-- /.container-fluid -->
</div>
<!-- /.content-header -->
{% endblock content %}


{% block js_page %}
<script>  
  // carga del DOM
  $(function () {
    //Initialize Select2 Elements
    $('#id_cliente').select2()

    //Initialize Select2 Elements
    $('#id_cliente').select2({
      theme: 'bootstrap4'
    })   

    $('#id_emisora').select2()

    $('#id_emisora').select2({
      theme: 'bootstrap4'
    }) 

  });
</script>
{% endblock js_page %}